SCALED_S32_SUMS(9)

NAME

scaled_s32_sums - Sum of four inputs (each with a scale)

SYNOPSIS

loadrt scaled_s32_sums [count=N|names=name1[,name2...]]

FUNCTIONS

scaled-s32-sums.N (requires a floating-point thread)

PINS

scaled-s32-sums.N.in0 s32 in

scaled-s32-sums.N.in1 s32 in

scaled-s32-sums.N.in2 s32 in

scaled-s32-sums.N.in3 s32 in

scaled-s32-sums.N.scale0 float in (default: 1.0)

scaled-s32-sums.N.scale1 float in (default: 1.0)

scaled-s32-sums.N.scale2 float in (default: 1.0)

scaled-s32-sums.N.scale3 float in (default: 1.0)

scaled-s32-sums.N.out-s s32 out

scaled-s32-sums.N.out-f float out
    out-s = out-f = (in0 * scale0) + (in1 * scale1) + (in2 * scale2) + (in3 * scale3)

SEE ALSO

sum2(9), weighted_sum(9)

AUTHOR

Chris S Morley

LICENSE

GPL